"Setup script to install vatstuff"

from distutils.core import setup
import glob
import os
import sys
import shutil


if os.name == "nt":
    print("Sorry - this setup is for Linux systems only")
    sys.exit(0)


html_files = glob.glob(os.path.join("vatstuff_files", "html", "*.html"))
image_files = glob.glob(os.path.join("vatstuff_files", "images", "*"))


setup(
    name = 'VATStuff',
    description = "Double entry bookkeeping and VAT accounting application.",
    long_description = """\
VATStuff provides a double-entry bookkeeping system, with facilities
to create purchase orders, invoices and to record costs and calculate
VAT returns. VAT calculations are designed to meet UK regulations,
and are not applicable to other states.""",
    author = 'Bernard Czenkusz',
    author_email = 'bernie@skipole.co.uk',
    version = '0.7.0',
    url = 'www.vatstuff.co.uk',
    license = 'GPL',
    packages = ['vatstuff_packages',
                'vatstuff_packages.vs_utilities',
                'vatstuff_packages.vs_pdf',
                'vatstuff_packages.vs_database',
                'vatstuff_packages.vs_verify',
                'vatstuff_packages.vs_gui',
                'vatstuff_packages.vs_gui.accounts',
                'vatstuff_packages.vs_gui.sales',
                'vatstuff_packages.vs_gui.purchases',
                'vatstuff_packages.vs_gui.movemoney',
                'vatstuff_packages.vs_gui.vat',
                'vatstuff_packages.vs_gui.reports',
                'vatstuff_packages.vs_gui.company',
                'vatstuff_packages.vs_gui.admin',
                'vatstuff_packages.vs_gui.manual'],
    scripts = ['vatstuff.py'],
    data_files = [('/usr/local/vatstuff_files/html', html_files),
                  ('/usr/local/vatstuff_files/images', image_files),
		          ('/usr/local/vatstuff_files/license', ['vatstuff_files/license/gpl-3.0.txt', 'vatstuff_files/license/license.txt']),
		          ('/usr/local/vatstuff_files', ['vatstuff_files/vatstuff.cfg']),
		          ('/usr/local/vatstuff_files', ['vatstuff_files/vatstuff.cfg.local']),
		          ('/usr/local/vatstuff_files', ['vatstuff_files/vatstuff.cfg.install'])]
    )


if "install" in sys.argv:
    shutil.copy("/usr/local/vatstuff_files/vatstuff.cfg.install", "/usr/local/vatstuff_files/vatstuff.cfg")

