####### VATStuff #######
#
# vatstuff_packages.vs_verify.__init__.py  - provides verification functions
#
# Version : 0.3
# Date : 20100110
#
# Author : Bernard Czenkusz
# Email  : bernie@skipole.co.uk
#
#
# Copyright (c) 2009 Bernard Czenkusz
#
# This file is part of VATStuff.
#
#    VATStuff is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    VATStuff is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VATStuff.  If not, see <http://www.gnu.org/licenses/>.
#

"""
Holds packages and modules for verifying user input from the GUI.

In particular, this package does not import wx - but is itself imported
by the gui functions in package vatstuff_packages.vs_gui

Therefore this package is an attempt to separate the input verification
from GUI logic - also making it convenient to import this package into
test modules which can test these verification functions.

Contains the modules:

form_objects -  Contains classes that hold data as it is given when
                a form is filled in.  Such an object is usually passed
                to a function in the vatstuff_packages.vs_database package that then saves
                the data to the database.  Very often the class in
                form_objects has very similar attributes to the class in
                vatstuff_packages.vs_database.objects - which accesses the data from the
                database.  This similarity may be used by functions that
                create a pdf file (of for example, an invoice) - the pdf
                function can be passed an object derived from the database,
                or a form-object - and so can create a pdf file before the
                object has been saved.
                Also defines some functions related to the form classes:
                make_AddressForm(address)
                   Makes an AddressForm object from an Address database object
                link_payment_to_invoices(payment_amount, invoices)
                   Proportions a money payment amongst a list of invoices

common       -  Holds common verification functions

The sub packages are related to tabs on the main notebook:

accounts   - verifies input given under the Accounts tab
purchases  - verifies input given under the Purchases tab
sales      - verifies input given under the Sales tab
"""
